﻿using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;
using Syncfusion.XForms.DataForm;

namespace DataForm
{
    public class DataFormBehavior : Behavior<ContentPage>
    {
        SfDataForm dataForm;

        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            dataForm = bindable.FindByName<SfDataForm>("dataForm");
            dataForm.DataObject = new ContactsInfo();
            dataForm.LayoutManager = new LayoutManagerExt(dataForm);
            dataForm.LayoutOptions = LayoutType.TextInputLayout;
        }
    }
    public class LayoutManagerExt : DataFormLayoutManager
    {
        public LayoutManagerExt(SfDataForm dataForm) : base(dataForm)
        {

        }
        protected override ImageSource GetGroupCollapseIcon(DataFormGroupItem dataFormGroupItem)
        {
            return "Right_Arrow.png";
        }
        protected override ImageSource GetGroupExpanderIcon(DataFormGroupItem dataFormGroupItem)
        {
            return "Down_Arrow.png";
        }
    }
}
